Question
Muhammad Waseem · Jun 13

FHIR Configuration Server Configuration

Hi

While configuring FHIR Server I could not find "Health > FHIR Configuration > Server Configuration" option. I am using InterSystems IRIS community edition on my local PC.

 

Thanks

 

Product version: IRIS 2020.1
$ZV: IRIS for Windows (x86-64) 2020.1 (Build 217.1U)
10
2 0 4 107
Log in or sign up to continue

Had same problem following the tutorial.

Hi,

FHIR server available in IRIS Data Platform, and it requires additional licensing.  Get help from InterSystems support.

Thanks

Hi Muhammad,

For FHIR capability, one would need to be running the healthcare version of IRIS - so, you would need to run, in your case the "IRIS for Health" product, which is also available as a Community Edition.

This feature does not require additional licensing in order to appear. You just need to be on the right version of IRIS for Health.

This option you mentioned here ("Health > FHIR Configuration > Server Configuration") was first introduced with release 2020.4, so, any version of IRIS for Health should be on this, or a later version to enjoy this feature.

InterSystem's AWS marketplace offering that launches IRIS for Health Community Edition,  here - does in fact launch this correct release. You could use that instance.

InterSystems' Quick Start tutorial here, which helps people learn about FHIR, also uses the correct release, and starts an instance for you in the cloud to use. If you are learning about FHIR  I suggest the Quick Start tutorial is your friend there too. 

You do not need to be an InterSystems customer to take advantage of this.

If you are a customer of InterSystems, you can download the version of IRIS for Health that was first released with this feature (2020.4) via the Distributions pages of the WRC, but note, that this was a Docker Container release only. 

Assuming you do not want to use Docker Containers, then, the next, non-container release with this feature is IRIS for Health 2021.1, and as soon as this is generally available, I would recommend to progress with that version.

Sincerely,

Steve